GET /getDeparturesByCRS/{CRS}

departureboard.io

Summary: getDeparturesByCRS is used to get a list of services departing from a UK train station by the CRS (Computer Reservation System) code. This will typically return a list of train services, but will also return any replacement bus or ferry services that are in place.
Operation ID: getDeparturesByCRS
Auth: unknown

Parameters (7)

CRS (string, path, required)

The CRS (Computer Reservation System) for the station you wish to get departure information for, e.g. KGX for London Kings Cross.

Constraints: {'minLength': 3, 'maxLength': 3}

apiKey (string, query, required)

The National Rail OpenLDBWS API Key to use for looking up service information. You must register with National Rail to obtain this key and whitelist it with us. See https://api.departureboard.io/docs/registration for more information.

filterStation (string, query, optional)

The CRS (Computer Reservation System) code to filter the results by. For example, performing a lookup for PAD (London Paddington) and setting filterStation to RED (Reading), will only show services departing from Paddington that stop at Reading.

numServices (integer, query, optional, default: 10)

The number of departing services to return. This is a maximum value, less may be returned if there is not a sufficient amount of services running from the selected station within the time window specified.

serviceDetails (boolean, query, optional, default: True)

Should the response contain information on the calling points for each service? If set to false, calling points will not be returned.

timeOffset (integer, query, optional, default: 0)

The time window in minutes to offset the departure information by. For example, a value of 20 will not show services departing within the next 20 minutes.

Constraints: {'minimum': -239, 'maximum': 119}

timeWindow (integer, query, optional, default: 120)

The time window to show services for in minutes. For example, a value of 60 will show services departing the station in the next 60 minutes.

Constraints: {'minimum': 0}

No probe data for this endpoint yet.